import type Vue from 'vue';
import feature from 'ol/Feature';
import * as geom from 'ol/geom';
import * as format from 'ol/format';
import * as loadingstrategy from 'ol/loadingstrategy';
import * as selectconditions from 'ol/events/condition';
import * as extent from 'ol/extent';
import * as animations from 'ol/easing';
import { Map, Layers, Sources, MapControls, Geometries, Styles, Interactions, Animations } from './components';
declare const createVue3OpenLayersPlugin: () => Vue.Plugin;
declare module '@vue/runtime-core' {
    function inject(key: 'ol-feature'): feature;
    function inject(key: 'ol-geom'): typeof geom;
    function inject(key: 'ol-animations'): typeof animations;
    function inject(key: 'ol-format'): typeof format;
    function inject(key: 'ol-loadingstrategy'): typeof loadingstrategy;
    function inject(key: 'ol-selectconditions'): typeof selectconditions;
    function inject(key: 'ol-extent'): typeof extent;
}
export default createVue3OpenLayersPlugin;
export { createVue3OpenLayersPlugin, Map, Layers, Sources, MapControls, Geometries, Styles, Interactions, Animations, };
